//=============================================================================
//  Unified IO - C++ interface for industrial IO cards
//  Copyright (C) 2000, UAB "BBD SOFT" ( http://www.bbdsoft.com/ )
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
//  The author of this program may be contacted at developers@bbdsoft.com
//=============================================================================


#ifndef _AB1784PKTX_
#define _AB1784PKTX_

#ifndef _AB1784CARD_
   #include "ab1784card.hpp"
#endif

#ifndef _UNIIO_H
   #include "uniio.h"
#endif


//-----------------------------------------------------------------------------
namespace Uniio
{

class _Export_UNIIO AB1784PKTx : public AB1784Card
{

   typedef IOCard Inherited;

   public:
      AB1784PKTx ( const char * const inFirmwarePath
                 , const unsigned inLinkSpeed
                 , const unsigned inCardId = 0
                 ); 
      virtual ~AB1784PKTx();

   protected:


  private:

     static unsigned long getBaseAddress(const unsigned inCardId);
};

};
#endif // _AB1784PKTx_
